gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: update buildbot to use current


From: gnunet
Subject: [taler-deployment] branch master updated: update buildbot to use current build logic for test.taler.net
Date: Sun, 23 Feb 2020 14:50:44 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 4a76894  update buildbot to use current build logic for test.taler.net
4a76894 is described below

commit 4a768943487d3d572732449d6be6db4eb4404508
Author: Christian Grothoff <address@hidden>
AuthorDate: Sun Feb 23 14:50:42 2020 +0100

    update buildbot to use current build logic for test.taler.net
---
 buildbot/checks.sh  |  8 +++++---
 buildbot/config.sh  |  6 +++++-
 buildbot/keys.sh    |  3 ++-
 buildbot/master.cfg | 16 ++--------------
 buildbot/sign.sh    |  6 ------
 5 files changed, 14 insertions(+), 25 deletions(-)

diff --git a/buildbot/checks.sh b/buildbot/checks.sh
index 546a356..2ab575f 100755
--- a/buildbot/checks.sh
+++ b/buildbot/checks.sh
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+# Step for the BUILD_FACTORY running the 'test.taler.net' site.
+
 set -eu
 
 if test -z "${DEPLOYMENT}"; then
@@ -98,7 +100,7 @@ if ! test 302 = $http_status_code; then
   exit 1
 fi
 
-URL="https://${DEPLOYMENT}.${DOMAIN}/en/index.html"; 
+URL="https://${DEPLOYMENT}.${DOMAIN}/en/index.html";
 http_status_code=$(curl \
   -s $URL -o /dev/null \
   -w "%{http_code}")
@@ -122,14 +124,14 @@ if $(taler-config -s twister -o twister_deploy >& 
/dev/null); then
       -s $twister_url -o /dev/null \
       -w "%{http_code}")
     if ! test 200 = $http_status_code; then
-  
+
       if test 503 = $http_status_code; then
         printf "%s %s\n" \
           "Hit a '503 Service Unavailable' from Twister." \
           "Assuming all is correct."
         exit 0
       fi
-  
+
       # Real failure here.
       printf "%s failed\n" $twister_url
       printf "$error_fmt" \
diff --git a/buildbot/config.sh b/buildbot/config.sh
index 4a2a16d..621a702 100755
--- a/buildbot/config.sh
+++ b/buildbot/config.sh
@@ -1,6 +1,10 @@
 #!/bin/bash
 
+# Step for the BUILD_FACTORY running the 'test.taler.net' site.
+
 set -eu
 
 source "${HOME}/activate"
-taler-deployment-config-generate
+taler-deployment bootstrap
+source "${HOME}/activate"
+taler-deployment build
diff --git a/buildbot/keys.sh b/buildbot/keys.sh
index 3bf1601..ff3e3cb 100755
--- a/buildbot/keys.sh
+++ b/buildbot/keys.sh
@@ -1,6 +1,7 @@
 #!/bin/bash
 
+# Step for the BUILD_FACTORY running the 'test.taler.net' site.
 set -eu
 
 source "${HOME}/activate"
-taler-deployment-keyup
+taler-deployment-prepare
diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index 9ead920..6dfd10b 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -477,7 +477,7 @@ LINT_FACTORY.addStep(
 CHECKER_FACTORY = util.BuildFactory()
 CHECKER_FACTORY.addStep(
     ShellCommand(
-        name="clone sources",
+        name="fetch gnunet.org sources",
         description="fetching latest deployment repositories from 
git.gnunet.org",
         descriptionDone="GNUnet code base updated",
         command=["./update-sources.sh", "git://git.gnunet.org/", 
"libmicrohttpd", "gnunet"],
@@ -486,7 +486,7 @@ CHECKER_FACTORY.addStep(
 )
 CHECKER_FACTORY.addStep(
     ShellCommand(
-        name="clone sources",
+        name="fetch taler.net sources",
         description="fetching latest deployment repositories from 
git.taler.net",
         descriptionDone="Taler code base updated",
         command=["./update-sources.sh", "git://git.taler.net/", "exchange", 
"merchant", "wallet-core", "sync", "anastasis", "bank", "twister"],
@@ -575,18 +575,6 @@ BUILD_FACTORY.addStep(
     )
 )
 
-BUILD_FACTORY.addStep(
-    ShellCommand(
-        name="wire details sign",
-        description="Signing exchange wire details.",
-        descriptionDone="Exchange wire details got signed.",
-        command=["./sign.sh"],
-        workdir="../../deployment/buildbot",
-        haltOnFailure=True,
-        env={'BRANCH': util.Property("branch")}
-    )
-)
-
 BUILD_FACTORY.addStep(
     ShellCommand(
         name="restart services",
diff --git a/buildbot/sign.sh b/buildbot/sign.sh
deleted file mode 100755
index ac04807..0000000
--- a/buildbot/sign.sh
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/bash
-
-set -eu
-
-source "${HOME}/activate"
-taler-deployment-sign

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]